Issue 115655

Summary: Using csv-file in mail merge changes a single column to integer
Product: Writer Reporter: wingfire <christof>
Component: codeAssignee: marc.neumann
Status: VERIFIED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: eric.savary, issues, marc.neumann, niklas.nebel, ocke.janssen
Version: DEV300m93   
Target Milestone: 3.4.0   
Hardware: PC   
OS: Windows 7   
Issue Type: ENHANCEMENT Latest Confirmation on: ---
Developer Difficulty: ---
Attachments:
Description Flags
CSV file with data to show bug none

Description wingfire 2010-11-18 15:39:51 UTC
Hi,
similar to Issue 111345 i have again the problem with fields mixed of alpha and
numerical data.
I created a mail merge with the wizard.
1. "Use the current document"
2. "E-mail message"
3. "Select Address List ..." -> "Add..." Datasource is a csv-file (UTF-8, comma
separated, " as delimiter).
6. "Edit Document ..."
Now i click on "Data Sources" to check the data and find the column
c__passport_number is changed to integers. Data sets with characters are damaged.
Comment 1 wingfire 2010-11-18 15:41:33 UTC
Created attachment 75038 [details]
CSV file with data to show bug
Comment 2 ocke.janssen 2010-11-25 07:53:45 UTC
grabbing
Comment 3 ocke.janssen 2010-11-25 07:54:31 UTC
Fixed in cws dba34b.

The problem was that only the first row after the header row was used for type
information. I extended it to use the first 50 rows to find the correct code.
Comment 4 wingfire 2010-11-25 08:26:12 UTC
is it possible to make this value (50) configurable? next time the syntax change
is in line 51 ;)
kind regards
Comment 5 ocke.janssen 2010-11-25 08:27:45 UTC
I should have known that someone would ask ;-)
Comment 6 ocke.janssen 2010-11-25 10:23:58 UTC
Now you find UI for the setting in the advanced settings.
Comment 7 wingfire 2010-11-25 10:27:28 UTC
thanks a lot!
Comment 8 ocke.janssen 2010-11-25 10:29:30 UTC
I change it from Defect to Enhancement.
Comment 9 ocke.janssen 2010-12-01 10:42:12 UTC
Please verify. Thanks.
Comment 10 marc.neumann 2011-01-24 14:13:18 UTC
verified in CWS dba34b

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300/dba34b